#mobile-menu
{
    display: none;
    width: 100%;
    background-color: #333;
}

#mobile-menu .container
{
    display: table-row;
}

#mobile-menu .container div
{
    display: table-cell;
    text-align: center;
    vertical-align: middle;
    width: 33%;
    padding: 7px 0 7px 0;
}

#mobile-menu .login a
{
    display: inline-block;
    padding: 7px;
    color: #fff;
    border-radius: 4px;
    border: solid 1px #fff;
}

#mobile-menu .cart
{
    text-align: left !important;
    padding-left: 5px !important;
}

#mobile-menu .menu
{
    text-align: right !important;
}

#mobile-menu .menu a
{
    cursor: pointer;
}

#mobile-main-menu
{
    display: none;
    background-color: #fff;
}

#mobile-main-menu ul, #mobile-main-menu ul li
{
    display: block;
    padding: 0;
    margin: 0;
    list-style: none;
}

#mobile-main-menu ul li a
{
    display: block;
    padding: 10px;
    border-bottom: dotted 1px #017BC0;
}

#mobile-main-menu ul li a:hover, #mobile-main-menu ul li a.active
{
    background-color: #333333;
    color: #fff;
}

#mobile-main-menu ul ul
{
    display: none;
}

.product-content .rslides_container
{
    display: none;
}

@media all and (max-width: 1200px)
{
    #header .logo, #left-blocks
    {
        padding-left: 10px;
    }
    
    #header .cart-login, #right-blocks
    {
        padding-right: 10px;
    }
    
    #footer .pre, #footer .post, #content .center
    {
        padding-left: 10px;
        padding-right: 10px;
    }
}

@media all and (max-width: 1140px)
{
    #center-blocks .block
    {
        width: 47%;
        margin-bottom: 10px;
    }
}

@media all and (max-width: 1100px)
{
    #gallery,
    #gallery tbody,
    .listing-grid-table,
    .listing-grid-table tbody
    {
        text-align: center !important;
        display: block !important;
    }
    
    #gallery tr,
    .listing-grid-table tr
    {
        display: inline-block !important;
        width: auto;
        
    }
    
    #gallery td,
    .listing-grid-table td
    {
        display: inline-block !important;
        margin: 0 auto 7px auto;
        text-align: center !important;
        width: auto !important;
    }
    
    .listing-grid
    {
        float: none !important;
        display: inline-block !important;
        margin: 0 auto 0 auto !important;
    }
    
    .listing-grid .album
    {
        display: inline-block !important;
    }
}

@media all and (max-width: 980px)
{
    #pre-header
    {
        display: none;
    }
    
    #header .logo
    {
        text-align: center;
    }
    
    #header .logo a,
    #header .logo a img
    {
        display: block;
        width: 90%;
        margin: 0 auto 0 auto;
    }
    
    #header td
    {
        display: block;
        width: auto !important;
    }
    
    #header .cart-login
    {
        display: none;
    }
    
    #header .main-menu
    {
        padding-top: 15px;
    }
    
    #header .main-menu ul li.haschilds a
    {
        padding: 12px;
        background-position: 25px center;
    }
    
    #header form
    {
        display: block;
        border-radius: 0;
    }
    
    #header form input[type=text]
    {
        background-color: #fff;
        border: solid 1px #fff;
        border-radius: 3px;
        padding: 3px;
        display: inline-block;
        margin-right: 10px;
        width: 90%;
        font-weight: bold;
    }
    
    #header .main-menu
    {
        display: none;
    }
    
    #header .logo
    {
        padding-bottom: 20px;
    }
    
    #mobile-menu
    {
        display: table;
    }
    
    #content .center,
    #left-blocks,    
    #right-blocks
    {
        width: auto !important;
        display: block !important;
    }
    
    #left-blocks .block .content,
    #right-blocks .block .content
    {
        text-align: center;
    }
    
    .listing-block, .listing-block .list-image, .listing-block .list-image a
    {
        display: block;
        text-align: center;
        float: none;
    }
    
    .listing-block
    {
        display: inline-block;
        vertical-align: middle;
        border-bottom: 0;
        margin: 7px;
    }
    
    #header-blocks
    {
        display: none;
    }
    
    .featured-listing tr, .featured-listing td
    {
        display: inline-block;
        text-align: center;
        margin: 7px;
    }
}

@media all and (max-width: 950px)
{
    .content-product td
    {
        display: block;
        width: auto;
    }
    
    .content-product .product-description table,
    .content-product .product-description div
    {
        width: 98% !important;
    }
    
    div.photos-desktop
    {
        display: none;
    }
    
    .product-content .rslides_container
    {
        display: block;
    }
    
    #products-content .image-slide
    {
        width: auto !important;
    }
    
    #products-content table td
    {
        display: block !Important;
        width: auto !important;
    }
    
    .related-products
    {
        vertical-align: top;
    }
    
    .related-products h3
    {
        display: block;
        padding: 10px;
        font-size: 25px;
    }
    
    .related-product
    {
        display: inline-block;
        margin-right: 10px !important;
        vertical-align: top;
        border-left: 0;
    }
    
    .related-product .image
    {
        display: table-cell;
        vertical-align: top;
    }
    
    .related-product .image img
    {
        width: 130px !important;
        height: 100px !important;
    }
    
    .content-product .content-right
    {
        padding-left: 0 !important; 
        border-left: none !important;
    }
}

@media all and (max-width: 820px)
{
    #center-blocks .block
    {
        display: block;
        width: 99%;
        margin: 0 0 10px 0 !important;
    }
    
    #center-blocks .content p
    {
        background-color: rgba(255,255,255,0.7);
    }
    
    #outerImageContainer,
    #outerImageContainer *,
    #imageDataContainer
    {
        width: 95% !important;
        height: auto !important;
        display: block;
        margin: 0 auto 0 auto;
    }
}

@media all and (max-width: 700px)
{
    h1
    {
        text-align: center;
        display: block;
    }
    
    #content .center table.responsive,
    #content .center table.responsive tbody
    {
        text-align: center;
        display: block;
    }
    
    #content .center table.responsive tr
    {
        display: block;
        width: 100%;
    }
    
    #content .center table.responsive td
    {
        display: inline-block;
        margin-bottom: 0 0 0 0 !important;
        padding: 0 !important;
        width: 100% !important;
        text-align: left;
    }
    
    #footer .pre .table, #footer .section
    {
        display: block;
        width: 100%;
    }
    
    #footer .paypal
    {
        float: none;
        text-align: center;
        margin: 15px auto 15px auto;
    }

    #footer .pre h4
    {
        color: #fff;
        text-transform: uppercase;
        padding: 5px 0px 5px 0;
        text-align: center;
        font-size: 24px;
        margin-bottom: 0;
    }

    #footer .pre ul
    {
        margin: 0;
        padding: 0;
        background-color: #3771C8;
        border-radius: 5px;
    }

    #footer .pre ul li
    {
        list-style: none;
        display: block;
    }
    
    #footer .pre ul li a
    {
        display: block;
        text-align: center;
        margin-left: 0;
        font-size: 18px;
        border-bottom: dotted 2px #3771C8;
        padding: 7px 0 7px 0
    }
    
    #footer .pre ul li a:hover, #footer .pre ul li a.active
    {
        background-color: #5182CC;
    }
    
    #footer .post .copyright, #footer .post .developer
    {
        float: none;
        text-align: center;
        padding: 0;
        margin: 0;
    }

    #footer .post .developer
    {
        padding: 20px 0 20px 0;
    }
}

@media all and (max-width: 650px)
{
    #search-engine .form-submit
    {
        float: none !important;
        display: block;
        margin: 0 auto 0 auto !important;
        width: 95%;
        text-align: center; 
        padding: 5px;
    }
    
    #search-search
    {
        width: 95% !important;
        margin: 0 auto 0 auto;
        display: block;
    }
    
    .navigation .page
    {
        display: none;
    }
    
    #my-account td
    {
        display: block;
        padding: 0 !important;
        text-align: center;
        margin: 0 !important;
        border: none !important;
    }
    
    #my-account td ul
    {
        padding: 0;
        margin-left: 0;
    }
}

@media all and (max-width: 600px)
{
    
}

@media all and (max-width: 560px) 
{
    #products-content input[type=text]
    {
        display: block;
        width: 95% !important;
        margin-top: 10px;
    }
    
    #products-content input[type=submit]
    {
        display: block;
        width: 100% !important;
    }
    
    div.product-description
    {
        -moz-column-count: 1 !important; 
        -webkit-column-count: 1 !important; 
        column-count: 1 !important; 
		-moz-column-gap: 0 !important;
        -webkit-column-gap: 0 !important; 
        column-gap: 0 !important;
    }
}

@media all and (max-width: 550px)
{
    #header form input[type=text]
    {
        width: 82%;
    }
}

@media all and (max-width: 480px)
{

}

@media all and (max-width: 388px)
{
    .related-product
    {
        display: block;
        margin: 0 auto 15px auto !important;
        width: 162px;
    }
}
